<feed xmlns='http://www.w3.org/2005/Atom'>
<title>erlang.mk.git/plugins, branch 2017.05.18</title>
<subtitle>A build tool for Erlang that just works.
</subtitle>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/'/>
<entry>
<title>Add a test for EDOC_SRC_DIRS and tweak the feature a bit</title>
<updated>2017-05-13T20:35:11+00:00</updated>
<author>
<name>Loïc Hoguin</name>
<email>essen@ninenines.eu</email>
</author>
<published>2017-05-13T20:35:11+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=ecd4344f3ef7e1b12e6506dd0b5d6e644894b9e0'/>
<id>ecd4344f3ef7e1b12e6506dd0b5d6e644894b9e0</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>edoc: apps to generate doc for default to ALL_APPS_DIRS + ALL_DEPS_DIRS</title>
<updated>2017-05-13T16:54:06+00:00</updated>
<author>
<name>Jean Parpaillon</name>
<email>jean.parpaillon@free.fr</email>
</author>
<published>2015-12-09T21:05:43+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=613410e9d6c62303673c6b95870bbe4ad60729f3'/>
<id>613410e9d6c62303673c6b95870bbe4ad60729f3</id>
<content type='text'>
'source_path' property of edoc default to the list of explicit deps and apps
Can be overriden with EDOC_SRC_DIRS

In general, edoc options can be overriden with EDOC_OPTS, à la proplists

'source_path' edoc property is not recursive: look for source code in 'src' and 'c_src'
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
'source_path' property of edoc default to the list of explicit deps and apps
Can be overriden with EDOC_SRC_DIRS

In general, edoc options can be overriden with EDOC_OPTS, à la proplists

'source_path' edoc property is not recursive: look for source code in 'src' and 'c_src'
</pre>
</div>
</content>
</entry>
<entry>
<title>Convert legacy cover tests and fix a few issues</title>
<updated>2017-05-13T13:37:24+00:00</updated>
<author>
<name>Loïc Hoguin</name>
<email>essen@ninenines.eu</email>
</author>
<published>2017-05-13T13:37:24+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=68bb586e605c62ba9fc7c7bebe14529121dcc53a'/>
<id>68bb586e605c62ba9fc7c7bebe14529121dcc53a</id>
<content type='text'>
There are no more legacy tests. Enjoy!
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
There are no more legacy tests. Enjoy!
</pre>
</div>
</content>
</entry>
<entry>
<title>Fix the test merged in the previous commit</title>
<updated>2017-05-12T17:09:27+00:00</updated>
<author>
<name>Loïc Hoguin</name>
<email>essen@ninenines.eu</email>
</author>
<published>2017-05-12T17:09:27+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=28ab68285c5e7611ef0e450b5611e666c3253add'/>
<id>28ab68285c5e7611ef0e450b5611e666c3253add</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>Fix make run on windows</title>
<updated>2017-05-12T11:08:05+00:00</updated>
<author>
<name>Stanislav Ovchar</name>
<email>ovcharsa@elcomplus.ru</email>
</author>
<published>2017-02-16T08:58:28+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=dd60a25e0f8c134c67b720de7bafb7da7150c41f'/>
<id>dd60a25e0f8c134c67b720de7bafb7da7150c41f</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>plugins/xref.mk: Fetch xrefr 1.1.0</title>
<updated>2017-05-12T09:58:43+00:00</updated>
<author>
<name>Jean-Sébastien Pédron</name>
<email>jean-sebastien@rabbitmq.com</email>
</author>
<published>2017-05-12T08:29:59+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=d75f124fd3c2a6737067d65dbb5110002d07b04b'/>
<id>d75f124fd3c2a6737067d65dbb5110002d07b04b</id>
<content type='text'>
In particular, xrefr 1.1.0 now exits with a non-zero exit status if
there are any warnings reported. This makes `make xref` fail
appropriately.
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
In particular, xrefr 1.1.0 now exits with a non-zero exit status if
there are any warnings reported. This makes `make xref` fail
appropriately.
</pre>
</div>
</content>
</entry>
<entry>
<title>Make sure the build fails if a docs/rel/test/shell dep fails</title>
<updated>2017-05-12T09:53:47+00:00</updated>
<author>
<name>Jean-Sébastien Pédron</name>
<email>jean-sebastien@rabbitmq.com</email>
</author>
<published>2017-05-10T17:09:46+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=ae5415d4a1000022c568932e7a6efa96e684b016'/>
<id>ae5415d4a1000022c568932e7a6efa96e684b016</id>
<content type='text'>
Before this change, the build would continue, even if a dependency
failed to build. This could lead to obscure errors in the middle of a
testsuite for instance.

With this change, the build fails immediately, exactly like when a
regular dependency fails to build.

While here, replace most uses of `|| exit $$?` with `set -e`. This
simplifies error handling if we need to add more commands to each
blocks.

Also, echo error messages to stderr.
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
Before this change, the build would continue, even if a dependency
failed to build. This could lead to obscure errors in the middle of a
testsuite for instance.

With this change, the build fails immediately, exactly like when a
regular dependency fails to build.

While here, replace most uses of `|| exit $$?` with `set -e`. This
simplifies error handling if we need to add more commands to each
blocks.

Also, echo error messages to stderr.
</pre>
</div>
</content>
</entry>
<entry>
<title>plugins/xref.mk: Disable variable expansion in help message</title>
<updated>2017-05-10T11:33:02+00:00</updated>
<author>
<name>Jean-Sébastien Pédron</name>
<email>jean-sebastien@rabbitmq.com</email>
</author>
<published>2017-05-10T11:22:06+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=0c2ca82ac0f32435656ba2ee4b687161cb213470'/>
<id>0c2ca82ac0f32435656ba2ee4b687161cb213470</id>
<content type='text'>
Before this change, the help message for this plugin was:

    Xref targets:
      xref        Run Xrefr using REF_CONFIG as config file if defined

Note the missing `$X` before `REF_CONFIG`.
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
Before this change, the help message for this plugin was:

    Xref targets:
      xref        Run Xrefr using REF_CONFIG as config file if defined

Note the missing `$X` before `REF_CONFIG`.
</pre>
</div>
</content>
</entry>
<entry>
<title>Fix paths in protobuffs plugin</title>
<updated>2017-05-10T11:31:46+00:00</updated>
<author>
<name>Kevin Wilson</name>
<email>kevinwilson541@gmail.com</email>
</author>
<published>2017-05-09T20:38:54+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=7430ae6711a20639b2c0cd016749bf5a983c9dae'/>
<id>7430ae6711a20639b2c0cd016749bf5a983c9dae</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
<entry>
<title>Add a test for plugin templates and fix an issue with them</title>
<updated>2017-04-26T22:10:36+00:00</updated>
<author>
<name>Loïc Hoguin</name>
<email>essen@ninenines.eu</email>
</author>
<published>2017-04-26T22:10:36+00:00</published>
<link rel='alternate' type='text/html' href='http://git.ninenines.eu/erlang.mk.git/commit/?id=159da31510207da47f2472ca25c31015d1c09fd3'/>
<id>159da31510207da47f2472ca25c31015d1c09fd3</id>
<content type='text'>
</content>
<content type='xhtml'>
<div xmlns='http://www.w3.org/1999/xhtml'>
<pre>
</pre>
</div>
</content>
</entry>
</feed>
